Author Topic: OSX Mojave on old iMacs, MacBooks etc...  (Read 234 times)

    • Move It Fatboy
  • Offline Rivkid

  • Posts: 3,562
  • Hero Member
OSX Mojave on old iMacs, MacBooks etc...
on: September 18, 2018, 11:49:33 AM
We haven't had a guide for awhile so thought I would add this.

OSX are about to release the latest version 'Mojave' and the development beta has been out for a few months. Apple have stopped compatibility for a variety of older machines now (I think with MacBooks its anything prior to 2012). Some genius has issued a patcher to get around this, and extend the software to much older machines : http://dosdude1.com/mojave/

I won't rehash his guide as its bullet proof, but I will add a hearty recommendation! I've been running this on my 2011 MacBook for a while and it's been great so decided to buy a couple of cheap iMacs (kitchen and study). I got my wife a 27" 2009 i5 for her study for £150 and I got myself a 2008 21.5" for the kitchen for £75. It's running perfectly on both machines and with an added SSD both machines absolutely fly.

This morning I updated it on my iMac and it killed the machine completely. However - all I did was reinstall the OS using DosDude's standard method and everything is fine again - all my settings/apps/games remain in tact and the patch is installed too so it really just fixed the boot problem.

Definitely recommend a cheap iMac and Mojave for anyone wanting a cheap machine - no need to spend £2k on a modern one :) 
Career, Wife, Mortgage... my sig was better when it listed guitars and PC's and stuff!

    • Tekforums.net - It's new and improved!
  • Offline Clock'd 0Ne

  • Clockedtastic
  • Posts: 10,470
  • Administrator
  • Hero Member
Re: OSX Mojave on old iMacs, MacBooks etc...
Reply #1 on: September 18, 2018, 20:45:04 PM
Does this mean you could also run the latest Xcode dev environments for Swift, etc? Having to fork out for the latest and greatest is what puts me off trying a Mac for native app development.

    • Move It Fatboy
  • Offline Rivkid

  • Posts: 3,562
  • Hero Member
Re: OSX Mojave on old iMacs, MacBooks etc...
Reply #2 on: September 18, 2018, 22:48:47 PM
I won't pretend to know anything about xcode Nige, but anything that requires OSX Mojave will work - the software is blissfully unaware that the hardware is a bit older. I think what DosDude has basically done is create a patcher that simply injects the drivers for some of the older hardware that Apple took out and patched some of the code to stop it checking for the older Mac versions.



So you can see the OS is quite happy acknowledging its running on a 2008 iMac even though it's not meant to work on anything prior to 2012.
Career, Wife, Mortgage... my sig was better when it listed guitars and PC's and stuff!

    • Tekforums.net - It's new and improved!
  • Offline Clock'd 0Ne

  • Clockedtastic
  • Posts: 10,470
  • Administrator
  • Hero Member
Re: OSX Mojave on old iMacs, MacBooks etc...
Reply #3 on: September 18, 2018, 23:07:41 PM
That sounds about right. My understanding was that the underlying architectural change from Core Duo to Core 2 Duo is what prompted it, but I also now that there are some funny requirements about xcode and didn't know if it digs under the hood to the hardware level.

0 Members and 1 Guest are viewing this topic.